
Name: app-clearlife
Epoch: 1
Version: 1.0.9
Release: 1%{dist}
Summary: ClearLIFE
License: Proprietary
Group: Applications/Apps
Packager: Nick Howitt
Vendor: ClearUnited
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base
Requires: app-base >= 1:2.10.1

%description
ClearLIFE - The ClearLIFE Server Edition provides derived keys for other applications on the ClearNODE

%package core
Summary: ClearLIFE - API
License: Proprietary
Group: Applications/API
Requires: app-base-core
Requires: app-network
Requires: rh-python38
Requires: libsodium

%description core
ClearLIFE - The ClearLIFE Server Edition provides derived keys for other applications on the ClearNODE

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/clearlife
cp -r * %{buildroot}/usr/clearos/apps/clearlife/
rm -f %{buildroot}/usr/clearos/apps/clearlife/README.md

install -d -m 0755 %{buildroot}/var/clearos/clearlife
install -D -m 0644 packaging/clearlife.logrotate %{buildroot}/etc/logrotate.d/clearlife
install -D -m 0644 packaging/clearlife.rsyslog %{buildroot}/etc/rsyslog.d/clearlife.conf
install -D -m 0644 packaging/clearlifed.php %{buildroot}/var/clearos/base/daemon/clearlifed.php
install -D -m 0644 packaging/clearlifed.service %{buildroot}/usr/lib/systemd/system/clearlifed.service

%post
logger -p local6.notice -t installer 'app-clearlife - installing'

%post core
logger -p local6.notice -t installer 'app-clearlife-api - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/clearlife/deploy/install ] && /usr/clearos/apps/clearlife/deploy/install
fi

[ -x /usr/clearos/apps/clearlife/deploy/upgrade ] && /usr/clearos/apps/clearlife/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-clearlife - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-clearlife-api - uninstalling'
    [ -x /usr/clearos/apps/clearlife/deploy/uninstall ] && /usr/clearos/apps/clearlife/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/clearlife/controllers
/usr/clearos/apps/clearlife/htdocs
/usr/clearos/apps/clearlife/views

%files core
%defattr(-,root,root)
%doc README.md
%exclude /usr/clearos/apps/clearlife/packaging
%exclude /usr/clearos/apps/clearlife/unify.json
%dir /usr/clearos/apps/clearlife
%dir /var/clearos/clearlife
/usr/clearos/apps/clearlife/deploy
/usr/clearos/apps/clearlife/language
/usr/clearos/apps/clearlife/libraries
/etc/logrotate.d/clearlife
/etc/rsyslog.d/clearlife.conf
/var/clearos/base/daemon/clearlifed.php
/usr/lib/systemd/system/clearlifed.service
